@echo off
setlocal enabledelayedexpansion

rem Infinite loop to generate random images
:loop
    rem Generate random colors
    set /a red=!random! %% 256
    set /a green=!random! %% 256
    set /a blue=!random! %% 256
    
    rem Generate random filename
    set "filename=!random!.png"
    
    rem Generate random image
    magick -size 2048x2048 xc:"rgb(!red!,!green!,!blue!)" "!filename!"
    
    echo Random image generated: !filename!
    
    rem Pause for a moment before generating the next image (optional)

    rem Loop back to generate another random image
    goto :loop

endlocal
